com.brightcove.player.display

## Interface ExoPlayerVideoDisplayComponent.InfoListener

- Enclosing class:
    ExoPlayerVideoDisplayComponent

      public static interface ExoPlayerVideoDisplayComponent.InfoListener

  A listener for debugging information.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onAudioDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime eventTime, java.lang.String decoderName, long initializationDurationMs)`
    `void` | `onAudioFormatEnabled(com.google.android.exoplayer2.Format format, int reason, long mediaTimeMs)` Called when an Audio Format is enabled.
    `void` | `onBandwidthSample(int elapsedMs, long bytes, long bitrateEstimate)` Called periodically to indicate that bytes have been transferred or the estimated bitrate has changed.
    `default void` | `onDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime eventTime, int trackType, java.lang.String decoderName, long initializationDurationMs)` Deprecated. Use `onAudioDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime, java.lang.String, long)` and `onVideoDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime, java.lang.String, long)` * instead.
    `default void` | `onDecoderInitialized(java.lang.String decoderName, long initializedTimestampMs, long initializationDurationMs)` Deprecated. Use `onAudioDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime, java.lang.String, long)` and `onVideoDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime, java.lang.String, long)`
    `void` | `onDroppedFrames(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime eventTime, int droppedFrames, long elapsedMs)` Called when frames are dropped.
    `void` | `onDroppedFrames(int count, long elapsed)` Deprecated. Use `onDroppedFrames(AnalyticsListener.EventTime, int, long)`
    `void` | `onLoadCompleted(int trackType, long bytesLoaded, int dataType, int reason, com.google.android.exoplayer2.Format format, long mediaStartTimeMs, long mediaEndTimeMs, long elapsedRealtimeMs, long loadDurationMs)` Called when load has completed.
    `void` | `onLoadStarted(int trackType, int dataType, int reason, com.google.android.exoplayer2.Format format, long mediaStartTimeMs, long mediaEndTimeMs)` Called when a load is started.
    `void` | `onVideoDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime eventTime, java.lang.String decoderName, long initializationDurationMs)`
    `void` | `onVideoFormatEnabled(com.google.android.exoplayer2.Format format, int reason, long mediaTimeMs)` Called when a Video Format is enabled.

- - ### Method Detail

    - #### onVideoFormatEnabled

          void onVideoFormatEnabled(com.google.android.exoplayer2.Format format,
                                    int reason,
                                    long mediaTimeMs)

      Called when a Video Format is enabled.
      Parameters:
        `format` - the `Format` retrieved from ExoPlayer.
        `reason` - One of the `C` `SELECTION_REASON_*`.
        `mediaTimeMs` - The start time of the media, or `C.TIME_UNSET` if the data does not belong to a specific media period.

    - #### onAudioFormatEnabled

          void onAudioFormatEnabled(com.google.android.exoplayer2.Format format,
                                    int reason,
                                    long mediaTimeMs)

      Called when an Audio Format is enabled.
      Parameters:
        `format` - the `Format` retrieved from ExoPlayer.
        `reason` - One of the `C` `SELECTION_REASON_*`.
        `mediaTimeMs` - The start time of the media, or `C.TIME_UNSET` if the data does not belong to a specific media period.

    - #### onDroppedFrames

          void onDroppedFrames(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime eventTime,
                               int droppedFrames,
                               long elapsedMs)

      Called when frames are dropped.
      Parameters:
        `eventTime` - Contains details of the event.
        `droppedFrames` - number of frames dropped.
        `elapsedMs` - The duration in milliseconds over which the frames were dropped. This duration is timed from when the renderer was started or from when dropped frames were last reported (whichever was more recent), and not from when the first of the reported drops occurred.

    - #### onDroppedFrames

          @Deprecated
          void onDroppedFrames(int count,
                                           long elapsed)

      Deprecated. Use `onDroppedFrames(AnalyticsListener.EventTime, int, long)`

    - #### onBandwidthSample

          void onBandwidthSample(int elapsedMs,
                                 long bytes,
                                 long bitrateEstimate)

      Called periodically to indicate that bytes have been transferred or the estimated bitrate has changed.
      Parameters:
        `elapsedMs` - The time taken to transfer `bytesTransferred`, in milliseconds.
        `bytes` - The number of bytes transferred since the last callback.
        `bitrateEstimate` - The estimated bitrate in bits/sec.

    - #### onLoadStarted

          void onLoadStarted(int trackType,
                             int dataType,
                             int reason,
                             com.google.android.exoplayer2.Format format,
                             long mediaStartTimeMs,
                             long mediaEndTimeMs)

      Called when a load is started.
      Parameters:
        `trackType` - One of the `C` `TRACK_TYPE_*` constants.
        `dataType` - One of the `C` `DATA_TYPE_*` constants.
        `reason` - One of the `C` `SELECTION_REASON_*` constants.
        `format` - the `Format` retrieved from ExoPlayer.
        `mediaStartTimeMs` - The start time of the media, or `C.TIME_UNSET` if the data does not belong to a specific media period.
        `mediaEndTimeMs` - The end time of the media, or `C.TIME_UNSET` if the data does not belong to a specific media period or the end time is unknown.

    - #### onLoadCompleted

          void onLoadCompleted(int trackType,
                               long bytesLoaded,
                               int dataType,
                               int reason,
                               com.google.android.exoplayer2.Format format,
                               long mediaStartTimeMs,
                               long mediaEndTimeMs,
                               long elapsedRealtimeMs,
                               long loadDurationMs)

      Called when load has completed.
      Parameters:
        `trackType` - One of the `C` `TRACK_TYPE_*` constants.
        `bytesLoaded` - The number of bytes that were loaded up to the event time.
        `dataType` - One of the `C` `DATA_TYPE_*` constants.
        `reason` - One of the `C` `SELECTION_REASON_*` constants.
        `format` - the `Format` retrieved from ExoPlayer.
        `mediaStartTimeMs` - The start time of the media, or `C.TIME_UNSET` if the data does not belong to a specific media period.
        `mediaEndTimeMs` - The end time of the media, or `C.TIME_UNSET` if the data does not belong to a specific media period or the end time is unknown.
        `elapsedRealtimeMs` - The value of `SystemClock.elapsedRealtime()` at the time of the load event.
        `loadDurationMs` - The duration of the load up to the event time.

    - #### onDecoderInitialized

          @Deprecated
          default void onDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime eventTime,
                                                        int trackType,
                                                        java.lang.String decoderName,
                                                        long initializationDurationMs)

      Deprecated. Use `onAudioDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime, java.lang.String, long)` and `onVideoDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime, java.lang.String, long)` * instead.

    - #### onDecoderInitialized

          @Deprecated
          default void onDecoderInitialized(java.lang.String decoderName,
                                                        long initializedTimestampMs,
                                                        long initializationDurationMs)

      Deprecated. Use `onAudioDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime, java.lang.String, long)` and `onVideoDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime, java.lang.String, long)`

    - #### onAudioDecoderInitialized

          void onAudioDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime eventTime,
                                         java.lang.String decoderName,
                                         long initializationDurationMs)

    - #### onVideoDecoderInitialized

          void onVideoDecoderInitialized(com.google.android.exoplayer2.analytics.AnalyticsListener.EventTime eventTime,
                                         java.lang.String decoderName,
                                         long initializationDurationMs)